Clipform
Dynamic Links

Create a dynamic link

Creates a dynamic link, either free or pointed at a form in the workspace, minting a repointable public id.

POST
/workspaces/{workspaceId}/dynamic-links

Authorization

bearerAuth
AuthorizationBearer <token>

API key (cf_*) passed as Bearer token

In: header

Path Parameters

workspaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/dynamic-links" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "public_id": "string",  "name": "string",  "form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",  "form": {    "share_id": "string",    "title": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "code": "VALIDATION_ERROR",  "error": "string",  "details": null}
{  "code": "VALIDATION_ERROR",  "error": "string",  "details": null}
{  "code": "VALIDATION_ERROR",  "error": "string",  "details": null}
{  "code": "VALIDATION_ERROR",  "error": "string",  "details": null}
{  "code": "VALIDATION_ERROR",  "error": "string",  "details": null}